| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
pfarg_pmd_attr_t Struct Reference

`#include <src/component/perfmon/perfmon.h>`

## Public Attributes
uint16_t | reg_num
uint16_t | reg_set
uint32_t | reg_flags
uint64_t | reg_value
uint64_t | reg_long_reset
uint64_t | reg_short_reset
uint64_t | reg_random_mask
uint64_t | reg_smpl_pmds [PFM_PMD_BV]
uint64_t | reg_reset_pmds [PFM_PMD_BV]
uint64_t | reg_ovfl_swcnt
uint64_t | reg_smpl_eventid
uint64_t | reg_last_value
uint64_t | reg_reserved [8]

## Detailed Description

Definition at line 121 of file perfmon.h.

## Member Data Documentation

## ◆ reg_flags

uint32_t pfarg_pmd_attr_t::reg_flags

Definition at line 124 of file perfmon.h.

## ◆ reg_last_value

uint64_t pfarg_pmd_attr_t::reg_last_value

Definition at line 133 of file perfmon.h.

## ◆ reg_long_reset

uint64_t pfarg_pmd_attr_t::reg_long_reset

Definition at line 126 of file perfmon.h.

## ◆ reg_num

uint16_t pfarg_pmd_attr_t::reg_num

Definition at line 122 of file perfmon.h.

## ◆ reg_ovfl_swcnt

uint64_t pfarg_pmd_attr_t::reg_ovfl_swcnt

Definition at line 131 of file perfmon.h.

## ◆ reg_random_mask

uint64_t pfarg_pmd_attr_t::reg_random_mask

Definition at line 128 of file perfmon.h.

## ◆ reg_reserved

uint64_t pfarg_pmd_attr_t::reg_reserved[8]

Definition at line 134 of file perfmon.h.

## ◆ reg_reset_pmds

uint64_t pfarg_pmd_attr_t::reg_reset_pmds[PFM_PMD_BV]

Definition at line 130 of file perfmon.h.

## ◆ reg_set

uint16_t pfarg_pmd_attr_t::reg_set

Definition at line 123 of file perfmon.h.

## ◆ reg_short_reset

uint64_t pfarg_pmd_attr_t::reg_short_reset

Definition at line 127 of file perfmon.h.

## ◆ reg_smpl_eventid

uint64_t pfarg_pmd_attr_t::reg_smpl_eventid

Definition at line 132 of file perfmon.h.

## ◆ reg_smpl_pmds

uint64_t pfarg_pmd_attr_t::reg_smpl_pmds[PFM_PMD_BV]

Definition at line 129 of file perfmon.h.

## ◆ reg_value

uint64_t pfarg_pmd_attr_t::reg_value

Definition at line 125 of file perfmon.h.

The documentation for this struct was generated from the following file:

- GaudiProfiling/src/component/perfmon/perfmon.h